package com.rjconsultores.ventaboletos.service;

import java.util.Date;
import java.util.List;

import org.zkoss.zul.Comboitem;

import com.rjconsultores.ventaboletos.entidad.CorridaTramo;
import com.rjconsultores.ventaboletos.entidad.TarjetaViaje;

public interface TarjetaViajeService extends GenericService<TarjetaViaje, Integer> {
	
	public void grabarTarjetaViaje(List<CorridaTramo> lsCorridaTramo);
	
	public void verificaCorridaDuplicada(List<TarjetaViaje> lsTarjetaViaje, boolean todasTarjetas);
	
	public List<TarjetaViaje> buscarTarjetaPorFiltros(Integer autoIni, Integer autoFin, Date dataIni, Date dataFin, Comboitem empresa);
	
	public List<TarjetaViaje> generarArchivoNomina(Date fecIni, Date fecFin);
	
	public void actulizarTarjetasEnviadas(List<TarjetaViaje> lsTarjetas);
}
